using ActionGame.UserInterface.Control;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System.Collections.Generic;


namespace ActionGame.Tests.UserInterfaceTests.Control
{
    class MockControl : IControl
    {
        public IList<IControl> Controls => throw new System.NotImplementedException();

        public Rectangle Location { get; set; }
        public bool IsSelected { get; set; }
        public bool IsSelectable { get; set; }

        public void Draw(SpriteBatch spriteBatch, GameTime gameTime) { }
        public void Press(GameTime gameTime) { }
        public void Update(GameTime gameTime) { }
    }
}
